# Copyright 2008, Engineering ToolBox

# This software is provided as a part of the Engineering Toolbox Google Sketchup
# application.

# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------

require 'sketchup.rb'

#-----------------------------------------------------------------------------
module EngineeringtoolboxToolsDialog
  def EngineeringtoolboxToolsDialog.create_dialog
    dlg = UI::WebDialog.new("Engineering ToolBox", true, "", 1000, 800, 150, 150, true);
    dlg.allow_actions_from_host "engineeringtoolbox.com"
    dlg.set_url "http://sketchup.engineeringtoolbox.com/"
    dlg.show

    dlg.add_action_callback("insert") {|d,p|
    p p
	  eval(p)
    }
  end
end



if( not file_loaded?("engineeringtoolbox.rb") )
    add_separator_to_menu("Plugins")
    UI.menu("Plugin").add_item("Engineering ToolBox") { EngineeringtoolboxToolsDialog.create_dialog }

end

#-----------------------------------------------------------------------------
file_loaded("engineeringtoolbox.rb")
